/***************************************************************************
 ** This file is part of the lirc-0.5.4 package ****************************
 ** LIRC - Linux Infrared Remote Control ***********************************
 ***************************************************************************
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */


struct ir_ncode technisat_ST3004S_codes[]=
{
	{"POWER",      0x01},
	{"MUTE",       0x06},
	{"0",          0x0f},
	{"1",          0x10},
	{"2",          0x11},
	{"3",          0x12},
	{"4",          0x13},
	{"5",          0x14},
	{"6",          0x15},
	{"7",          0x16},
	{"8",          0x17},
	{"9",          0x18},
	{"VOL_UP",     0x2e},
	{"VOL_DOWN",   0x2f},
	{"CH_UP",      0x07},
	{"CH_DOWN",    0x08},
	{"LIST",       0x37},
	{"A/B",        0x24},
	{"TV/R",       0x02},
	{"BACK",       0x27},
	{"MENUE",      0x2b},
	{"OK",         0x36},
	{"ARROW_UP",   0x32},
	{"ARROW_DOWN", 0x33},
	{"ARROW_RIGHT",0x35},
	{"ARROW_LEFT", 0x34},
	{NULL,         0}
};

struct ir_remote technisat_ST3004S_remote=
{
	"TECHNISAT_ST3004S",        /* name of remote control */
	technisat_ST3004S_codes,
	6,                          /* bits (length of code) */
	SPACE_ENC,                  /* flags */
	20,                         /* eps (_relative_ tolerance) */
	120,                        /* detecing _very short_ pulses is
				       difficult with some remotes,
				       this is an _absolute_ tolerance 
				       to solve this problem
				       usually you can say 0 here
				    */
	/* pulse and space lengths of: */

	0,0,                        /* header */
	170,7440,                   /* 1 */
	170,4920,                   /* 0 */
	0,                          /* leading pulse */
	170,                        /* trailing pulse */
	0,0,                        /* foot */
	0,0,                        /* indicate repeating */

	5,                          /* length of pre_data */
	0x11,                       /* data which the remote sends before
				       actual keycode */
	0,                          /* length of post_data */
	0x00,                       /* data which the remote sends after
				       actual keycode */
	0,0,                        /* signal between pre_data and keycode */
	0,0,                        /* signal between keycode and post_code */

	50000,                      /* time between signals in usecs */
	0,                          /* time between two repeat codes
				       if different from gap */
	2                           /* 1..(pre_data_bits+bits+post_data_bits) */
};

