/***************************************************************************
 ** This file is part of the lirc-0.5.4 package ****************************
 ** LIRC - Linux Infrared Remote Control ***********************************
 ***************************************************************************
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */


/****************************************************************************
 ** mode2.c *****************************************************************
 ****************************************************************************
 *
 * mode2 - shows the pulse/space length of a remote button
 *
 * Copyright (C) 1998 Christoph Bartelmus <columbus@hit.handshake.de>
 *
 */

#include <stdio.h>
#include <unistd.h>
#include <fcntl.h>
#include <sys/types.h>
#include <sys/stat.h>

int main()
{
	int fd;
	int data;

	fd=open("/dev/lirc",O_RDONLY);
	if(fd==-1)  {
		perror("mode2");
		printf("error opening /dev/lirc\n");
		exit(1);
	};

	while(1)
	{
		int result;

		result=read(fd,&data,4);
		if(result!=4)
		{
			fprintf(stderr,"read() failed\n");
			break;
		}
		
		printf("%s %d\n",(data&0x1000000)?"pulse":"space", data&0xffffff);
		fflush(stdout);
	};
	return(0);
}
